/getCurrentToken
1 min
POST
/getCurrentToken
acceptstringGenerated from available response content types
200success
curl --request POST \
--url /getCurrentToken \
--header 'accept: application/json'""" getCurrentToken
Retrieve the access token that will be used for the next transaction sent by the API user.
This token can be used to track the status of the next transaction using getTransactionByToken.
Note: Use print to view the output.
Code example: current_token = apiClientExamples.apiUser.getCurrentToken() print("your token is: " + current_token)
This function is part of the transaction flow detailed at https://docs.gk8.io/api-v19/sending-transactions-from-the-api. See the linked article for output example.
:return: The access token which will be used to create the next transaction. :rtype: str
Input Example:
.. code-block::
getCurrentToken()
Response Example:
.. code-block::
{
"FunctionData": {
"Token": "e59612cdcb1242af750f4f8cc9032a4d33bfdb40b00bd19c5e5ef5d538fc74a0"
},
"Meta": {
"AccessToken": "6276...79fe",
"Destination": "0453...9d56",
"Source": "fc581...42f3",
"Time": "2025-02-10 13:05:23.729"
}
}
"""
curl --request POST \
--url /getCurrentToken \
--header 'accept: application/json'